Bug 1298651 - [GSS](6.4.z) Initial calculation of the first expiration time for a scheduled timer is wrong if a start date is set
[GSS](6.4.z) Initial calculation of the first expiration time for a scheduled...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB (Show other bugs)
6.2.0,6.2.1,6.3.0,6.2.2,6.2.3,6.2.4,6.3.1,6.4.0,6.3.2,6.3.3,6.3.4,6.4.1,6.4.2,6.4.3,6.4.4,6.4.5,6.4.6
Unspecified Unspecified
high Severity unspecified
: CR1
: EAP 6.4.7
Assigned To: Ivo Studensky
Jan Martiska
:
Depends On:
Blocks: 1299882 eap647-payload
  Show dependency treegraph
 
Reported: 2016-01-14 11:32 EST by wfink
Modified: 2017-01-17 07:02 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1299882 (view as bug list)
Environment:
Last Closed: 2017-01-17 07:02:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-2799 Major Closed Initial calculation of the first expiration time for a scheduled timer is wrong if a start date is set 2017-05-10 23:03 EDT
JBoss Issue Tracker WFLY-5995 Major Resolved Initial calculation of the first expiration time for a scheduled timer is wrong if a start date is set 2017-05-10 23:03 EDT
Red Hat Knowledge Base (Solution) 2136861 None None None 2016-01-22 17:25 EST

  None (edit)
Description wfink 2016-01-14 11:32:41 EST
Description of problem:

If a scheduled timer should be created with the following parameters:
ScheduleExpression[second=0 minute=0/5 hour=20-22 dayOfWeek=* dayOfMonth=* month=* year=* start=Thu Jan 14 09:45:35 GMT+1 2016]

The first schedule should be 
  Thu Jan 17 20:00:20 GMT+1 2016
but is calculated as
  Sun Jan 17 20:45:35 GMT+1 2016

The minutes are not correctly set according to the schedule.

This happen for seconds/minutes if the ScheduleExpression limit the range.
Comment 1 JBoss JIRA Server 2016-01-14 12:17:59 EST
Wolf-Dieter Fink <wolfdieter.fink@gmail.com> updated the status of jira WFLY-5995 to Coding In Progress
Comment 4 JBoss JIRA Server 2016-01-21 06:22:14 EST
Ivo Studensky <istudens@redhat.com> updated the status of jira JBEAP-2799 to Resolved
Comment 6 Jiří Bílek 2016-03-02 07:57:46 EST
Verified with EAP 6.4.7.CP.CR2.
Comment 7 JBoss JIRA Server 2016-06-14 07:36:59 EDT
Jiri Pallich <jpallich@redhat.com> updated the status of jira JBEAP-2799 to Closed
Comment 8 Petr Penicka 2017-01-17 07:02:07 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.